Package org.eclipse.net4j.util.ui

# Class ManagedLabelProvider

java.lang.Object
org.eclipse.core.commands.common.EventManager
org.eclipse.jface.viewers.BaseLabelProvider
org.eclipse.jface.viewers.LabelProvider
org.eclipse.net4j.util.ui.ManagedLabelProvider

All Implemented Interfaces:
  `IBaseLabelProvider`, `ILabelProvider`

Direct Known Subclasses:
  `TableLabelProvider`

public class ManagedLabelProvider extends LabelProvider

Since:
  3.3
Author:
  Eike Stepper

## Constructor Summary

Constructors
Constructor
Description
`ManagedLabelProvider()`

## Method Summary

Modifier and Type
Method
Description
`protected LocalResourceManager`
`createResourceManager()`
`void`
`dispose()`
`<R> R`
`getResource(DeviceResourceDescriptor<R> descriptor)`
`final ResourceManager`
`getResourceManager()`

### Methods inherited from class org.eclipse.jface.viewers.LabelProvider

`createImageProvider, createTextImageProvider, createTextProvider, getImage, getText`

### Methods inherited from class org.eclipse.jface.viewers.BaseLabelProvider

`addListener, fireLabelProviderChanged, isLabelProperty, removeListener`

### Methods inherited from class org.eclipse.core.commands.common.EventManager

`addListenerObject, clearListeners, getListeners, isListenerAttached, removeListenerObject`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.jface.viewers.IBaseLabelProvider

`addListener, isLabelProperty, removeListener`

## Constructor Details

### ManagedLabelProvider

public ManagedLabelProvider()

## Method Details

### dispose

public void dispose()

Specified by:
  `dispose` in interface `IBaseLabelProvider`
Overrides:
  `dispose` in class `BaseLabelProvider`

### getResource

public <R> R getResource(DeviceResourceDescriptor<R> descriptor)

### getResourceManager

public final ResourceManager getResourceManager()

### createResourceManager

protected LocalResourceManager createResourceManager()